当前位置:永利皇宫官网 > 永利皇宫官网 > linux eclipse

linux eclipse

文章作者:永利皇宫官网 上传时间:2019-12-25

方法一:

linux eclipse。此外,众所周知,Eclipse是Java程序,因此很容易就实现了跨平台,也是众所周知,Java的大型程序非常吃内存,即使有512MB内存, 仍然感觉Eclipse的启动速度很慢。个人认为1GB内存是你工作效率的保证。其余的东西,需待我深入学习以后再进一步分析。

据网友的经验,先安装Eclipse Classic,然后再装CDT(C/C++ Development Tool),这样虽然体积大了一点但是方便日后添加Tool Kit。

linux eclipse。在Ubuntu上安装Eclipse有两种方法:

  1. 使用apt-get:
    $sudo apt-get install eclipse$sudo apt-get install eclipse-cdt
    这种方法的优点在于方便,apt帮你全部搞定了。要用的时候,只要输入eclipse就可以。坏处是版本比较旧,我所得到的版本是3.2。

  2. 直接到官方网站下载:

    这个方法得到的版本比较新,在我写此文的时候,是3.3。懒人可以直接用wget,下面的链接是链接到上海的服务器的:
    linux eclipse。http://www.eclipse.org/downloads/…/eclipse-SDK-3.3.1.1-win32.zip&mirror_id=385
    如果不能用的话就老老实实的到官网去下吧,注意如果你是在Windows下,大标题下的Eclipse Classic默认是Windows版本的,要点它右边的Linux。
    下载完以后就在/opt下解压吧。如果只是你一个人使用也可以解压到自己的家目录。仅以opt为例:
    $cd /opt$sudo tar -xf ~/eclipse-SDK-3.3.1.1-linux-gtk.tar.gz$sudo chmod -R 777 eclipse
    为了以后使用方便,做一个软链接,这样的话以后就可以直接输入eclipse来启动。
    $cd /usr/local/binsudo ln -s /opt/eclipse/eclipse
    linux eclipse。OK了,试试启动一下先……
    $eclipse
    我这里第一次启动好像有点毛病,不知道是不是因为我曾经用apt-get装过一次Eclipse的缘故,不过第二次启动就没事了。
    这时候还不能写C++程序,继续下载Tool Kit。
    还是那句话,如果到到官网下载,可获得最新版本:

    懒人用wget,截止至写本文时最新版是4.0:
    http://www.eclipse.org/downloads/…/cdt-master-4.0.2.zip&mirror_id=385
    然后解压到相关目录
    $cd /opt/eclipse$sudo unzip ~/cdt-master-4.0.2.zip$sudo chmod -R 777 .
    我的人比较懒,所以/opt下的东西一般都777,大家也可以根据需要自行设置。其实一般来说设置成755也是足够的。
    解压的时候覆盖所有文件,再次运行Eclipse试试,现在已经可以创建C++工程了。

最后说明一下,大家看到截图后会发现界面边框怎么有点像Vista,其实是为了方便工作,在Vista下装个Xming再用ssh X-forword把窗口显示在Windows桌面上的,而Ubuntu则安装在另外一台机器上。

 

方法二、

Ubuntu 在安装时,如同大部分 Linux 发行版一样,都会同时安装 GNU 版本的 Java。这个 Java 的实用程度太低,尤其对于开发人员来说,是没有太多用处的。在 Ubuntu 下,安装 SUN Java 是一件很容易的事情。第一步:

sudo apt-get install sun-java6-jre
sudo apt-get install sun-java6-jdk

安装完毕之后,选择默认 java:

sudo update-alternatives --config java

然后配置环境变量:

sudo vim /etc/environment

在其中添加如下两行:

CLASSPATH=/usr/lib/jvm/java-6-sun/lib
JAVA_HOME=/usr/lib/jvm/java-6-sun

保存退出。 

之后安装配置 Eclipse,安装很简单但是是老版本的:

sudo apt-get install eclipse

虽然已经这时新安装的 java 已经成为系统默认的 jvm,但是 Eclipse 并不会用 update-alternative 设置的
jvm 来启动自身,而使用的是以前的 GNU Java。GNU Java 是 1.4.2 的实现,而且在性能上远不如 SUN 的实现。为了让
Eclipse 利用 SUN Java 启动,我们还需要继续配置。首先把 SUN Java 完完全全的设置为系统的默认 JDK: 

sudo update-java-alternatives -s java-6-sun

然后编辑 JVM 配置文件:

sudo vim /etc/jvm

把文件中的

/usr/lib/jvm/java-6-sun

这一行移动到配置块的顶部。
由于 Eclipse 会忽略 Ubuntu 的通用 Java 设置(貌似一个 bug),我们需要继续编辑 Eclipse 的 
java_home 文件:

sudo vim /etc/eclipse/java_home

如同上面一样,把

/usr/lib/jvm/java-6-sun 

这一行移动到文件的顶部。

所有的安装配置完成之后,Ubuntu 的 Java 开发平台就基本完备了。

安装CDT:

从 下载CDT 

sudo tar zxvf org.eclipse.cdt-3.1.2-linux.x86.tar.gz 

解压后将features和plugins文件夹下的所有文件拷贝到/usr/lib/eclipse下对应的目录下即可 sources:

 

 

 

本文由永利皇宫官网发布于永利皇宫官网,转载请注明出处:linux eclipse

关键词: